class WeatherApi

  require 'nokogiri'
  require 'open-uri'
  require 'json'
  def initialize(key, lat, lng)

    url          =       'http://www.myweather2.com/developer/forecast.ashx?output=json'
    uri          =       URI.parse(url+"&uac=#{key}&query=#{lat},#{lng}")
    result       =       open(uri).read
    unless result == "Unable to find any matching weather location to the query submitted!"
      @response  =       JSON.parse(result)
    else
      puts "Invalid Location"
    end
  end

  def response
    @response
  end

  def current
    response['weather']['curren_weather']
  end

  def forecast
    response['weather']['forecast']
  end

  def next_day
    forecast.last
  end

  def day_max_temprature
    "#{next_day['day_max_temp']} #{next_day['temp_unit']}"
  end

  def day_type
    next_day['weather_text']
  end

  def wind
    next_day['day'][0]['wind']
  end

  def wind_direction
    wind['dir']
  end

  def wind_degree
    wind['dir_degree']
  end

  def wind_speed
    "#{wind['speed']} #{wind['wind_unit']}"
  end

end
